/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_PARADIETO                                                    */
/* Tabela : PARADIETO                                                           	*/
/*                                                                            */
/* Criao:                                                                   */
/* 06/12/2004 - Rafael dos Santos Lopes                           			   */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PARADIETO
BEFORE INSERT OR UPDATE OR DELETE
ON PARADIETO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPDIE := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDCTRLCDPACI,0) <> NVL(:NEW.IDCTRLCDPACI,0)) OR
           (NVL(:OLD.IDAJUSTAPACI,0) <> NVL(:NEW.IDAJUSTAPACI,0)) OR
           (NVL(:OLD.CDTABECDI,0) <> NVL(:NEW.CDTABECDI,0)) OR
           (NVL(:OLD.CDDIAGNOST,0) <> NVL(:NEW.CDDIAGNOST,0)) OR
           (NVL(:OLD.IDVCTCALCNUT,0) <> NVL(:NEW.IDVCTCALCNUT,0)) THEN
         :NEW.DTULTATUPDIE := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PARADIETO'     , '', 'CDPARADIETO='||:OLD.CDPARADIETO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PARADIETO MODIFY DTULTATUPDIE DEFAULT SYSDATE
/

