import {ChartViewInterface} from "@/Services/ChartView/ChartViewInterface";
import {ChartViewAbstract} from "@/Services/ChartView/ChartViewAbstract";
import {ZmartChartsApex} from "@/Services/Chats/ZmartChartsApex";

export class Donut extends ChartViewAbstract implements ChartViewInterface {
    public hasMultipleFacts: Boolean = false;

    public getWidget(dashboard: any, widget: any) {
        const height = widget[0].style;
        if (dashboard.label !== '' || dashboard.label !== null) {
            widget[0].options.title.text = dashboard.label;
        }
        widget[0].style = "background: " + dashboard.color + "; " + height;
        return widget;
    }
    public getCharts(charts: any) {
        return charts;
    }

    public setDrill(charts: any, zmartCharts: ZmartChartsApex) {
        this.zmartCharts = zmartCharts;
        this.getZmartCharts().setFormatterFunctions(charts);

        charts[0].options.chart.events = {
            // "click": this.drillApexChart.bind(this),
            "mounted": this.getZmartCharts().mounted.bind(this.getZmartCharts())
        };
        charts[0].options.chart.events.click = this.getZmartCharts().drillApexChart.bind(this.getZmartCharts(), charts[0].widget);

        return charts;
    }
}
