import {ChartViewInterface} from "@/Services/ChartView/ChartViewInterface";
import {ChartViewAbstract} from "@/Services/ChartView/ChartViewAbstract";
import {ChartViewService} from "@/Services/ChartViewService";
import {ZmartChartsApex} from "@/Services/Chats/ZmartChartsApex";

export class PeriodListCompare extends ChartViewAbstract implements ChartViewInterface {
    public hasMultipleFacts: Boolean = false;

    public getWidget(dashboard: any, widget: any) {
        const height = widget[0].style;
        if (dashboard.label !== '' || dashboard.label !== null) {
            widget[0].children[0].text = dashboard.label;
        }
        widget[0].style = "background: " + dashboard.color + "; " + height;
        return widget;
    }

    public getCharts(charts: any) {
        this.setPeriodCompareFormatterFunctions(charts[0]);
        return charts;
    }

    private setPeriodCompareFormatterFunctions(chart: any) {
        const searchFunction = (_chart: any) => {
            if (_chart.component && _chart.component === "ZdGrid") {
                if (_chart.maskFunction) {
                    _chart.datasource.data.forEach((element: any) => {
                        if (element.value) {
                            element.value = ChartViewService.getMaskFunction(_chart.maskFunction)(parseFloat(element.value));
                        }
                    });
                }
            } else if (_chart.children && _chart.children.length && _chart.children.length > 0) {
                _chart.children.forEach(searchFunction);
            }
        };
        searchFunction(chart);
    }

    private setPeriodCompareDrillFunction(chart: any) {
        const widget = chart.widget;
        const searchFunction = (_chart: any) => {
            if (_chart.component && _chart.component === "ZdGrid") {
                if (widget.hasDrillDown) {
                    _chart.events = {
                        "rowClick": this.getZmartCharts().drillPeriodCompare.bind(this.getZmartCharts(), widget),
                    };
                }
            } else if (_chart.children && _chart.children.length && _chart.children.length > 0) {
                _chart.children.forEach(searchFunction);
            }
        };
        searchFunction(chart);
    }

    public setDrill(charts: any, zmartCharts: ZmartChartsApex) {
        this.zmartCharts = zmartCharts;
        this.setPeriodCompareDrillFunction(charts[0]);
        return charts;
    }
}
