import Vue from 'vue';
import {
  ZdECharts,
  echartsCore,
  echartsCharts,
} from '@zeedhi/zd-echarts';
import { ZdCrosstab } from '@zeedhi/zd-crosstab';
import App from './App.vue';
import router from './router';
import { vuetify } from './plugins';
import store from './store';
import './components';
import './registerServiceWorker';
import 'roboto-fontface/css/roboto/roboto-fontface.css';
import './styles/style.scss';

Vue.component('ZdECharts', ZdECharts);
Vue.component('ZdCrosstab', ZdCrosstab);
echartsCore.use([
  echartsCharts.GaugeChart,
  echartsCharts.PieChart
]);

Vue.config.productionTip = false;

new Vue({
  router,
  vuetify,
  store,
  render: (h) => h(App),
}).$mount('#app');
